Bug 830115 - Can't do thread dump for ruby application after access this app
Can't do thread dump for ruby application after access this app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 05:18 EDT by Rony Gong
Modified: 2015-05-14 18:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:27:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2012-06-08 05:18:02 EDT
Description of problem:
Can't do thread dump for ruby application after access this app, 



Version-Release number of selected component (if applicable):
stage-2.0.12
devenv-stage_213
rhc-0.94.1-1.el6_2.noarch

How reproducible:
always



Steps to Reproduce:
1.new a ruby-1.8 non-scalable app
2.then access this app by url
3.run command: rhc-ctl-app -a qruby -c threaddump
  
Actual results:
[root@localhost ~]# rhc app threaddump -a qruby1
Password: ******


RESULT:
 Application is inactive. Ruby/Rack applications must be accessed by their URL (http://qruby1-qgong.stg.rhcloud.com) before you can take a thread dump.


Expected results:
thread dump success


Additional info:
=========development.log

Started POST "/broker/cartridge" for 203.114.244.88 at Fri Jun 08 05:00:05 -0400 2012
  Processing by LegacyBrokerController#cartridge_post as
  Parameters: {"json_data"=>"{\"api\":\"1.1.3\",\"rhlogin\":\"bmeng@redhat.com\",\"action\":\"threaddump\",\"app_name\":\"ruby1\"}", "password"=>"[FILTERED]"}
User-Agent = ''
MongoDataStore.find(CloudUser, bmeng@redhat.com, bmeng@redhat.com)
DEBUG: rpc_exec_direct: rpc_client=#<MCollective::RPC::Client:0x7f128247f2c0>
DEBUG: rpc_client.custom_request('cartridge_do', {:cartridge=>"ruby-1.8", :args=>"'ruby1' 'bmengdev' '9b1dee6132bd41628c9e63395f3f3664'", :action=>"threaddump"}, @id, {'identity' => @id})
DEBUG: [#<MCollective::RPC::Result:0x7f128241d750 @agent="libra", @results={:sender=>"ip-10-85-2-221", :statusmsg=>"OK", :data=>{:exitcode=>0, :output=>"/usr/libexec/stickshift/cartridges/ruby-1.8/info/hooks/threaddump: line 39: [Application: command not found\nCLIENT_RESULT:  Application is inactive. Ruby/Rack applications must be accessed by their URL (http://ruby1-bmengdev.dev.rhcloud.com) before you c
an take a thread dump.\n"}, :statuscode=>0}, @action="cartridge_do">]
DEBUG: Cartridge command ruby-1.8::threaddump exitcode = 0
[REQ_ID=667863da128a4c27a6283dfec409826e] ACTION=LEGACY_CARTRIDGE_POST Processed event threaddump for application ruby1
Completed 200 OK in 836ms (Views: 153.4ms)

=========mcollective-server log:

2012-06-08T05:02:24.980220 #1039] DEBUG -- : libra.rb:306:in `cartridge_do_action' cartridge_do_action call / request = #<MCollective::RPC::Request:0x7fb14e658450
 @action="cartridge_do",
 @agent="libra",
 @caller="cert=mcollective-public",
 @data=
  {:process_results=>true,
   :cartridge=>"ruby-1.8",
   :args=>"'ruby1' 'bmengdev' '9b1dee6132bd41628c9e63395f3f3664'",
   :action=>"threaddump"},
 @sender="ip-10-85-2-221",
 @time=1339146144,
 @uniqid="7c76e0218eb5bcff0f14080285a4b9c3">
D, [2012-06-08T05:02:24.980541 #1039] DEBUG -- : libra.rb:307:in `cartridge_do_action' cartridge_do_action validation = ruby-1.8 threaddump 'ruby1' 'bmengdev' '9b1dee6132bd41628c9e63395f3f3664'
D, [2012-06-08T05:02:25.270109 #1039] DEBUG -- : libra.rb:362:in `cartridge_do_action' cartridge_do_action (0)
------
/usr/libexec/stickshift/cartridges/ruby-1.8/info/hooks/threaddump: line 39: [Application: command not found
CLIENT_RESULT:  Application is inactive. Ruby/Rack applications must be accessed by their URL (http://ruby1-bmengdev.dev.rhcloud.com) before you can take a thread dump.
-
Comment 1 Xiaoli Tian 2012-06-18 10:03:31 EDT
Hope this can be fixed in this sprint.
Comment 2 Jhon Honce 2012-06-18 19:19:58 EDT
commit cf42855af69f161add80abde12fc2b3f3b24b121
Comment 3 Meng Bo 2012-06-19 02:26:52 EDT
Verified on devenv_1857, issue has been fixed.

Note You need to log in before you can comment on or make changes to this bug.